Skip to navigation

Transfer into container

Transfers a volume of an entity or container into a destination container. Transfering a volume is cumulative with the existing destination container's contents. To transfer an entire container's contents, the sourceContainerId should be specified. To otherwise transfer multiple entities within a container, you can make multiple calls to this endpoint, specifying a single entity with each call.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

destination_container_idstringRequired

Request

This endpoint expects an object.
destinationContentslist of objectsRequired

This represents what the contents of the destination container should look like post-transfer.

destinationQuantityobjectOptional

This represents the desired final quantity of the destination container, post-dilution. If you don’t want to dilute the destination container, you can omit this parameter. Supports mass, volume, and other quantities.

destinationVolumeobjectOptional

Deprecated - use destinationQuantity instead.

restrictedSamplePartyIdslist of stringsOptional

IDs of users or teams to be set as restricted sample parties for the destination container. If not specified, restricted sample parties from the source container, if present, will be added to those of the destination container. This only applies to stand-alone containers.

restrictionStatusenumOptional

Restriction status of the destination container, either RESTRICTED or UNRESTRICTED. If not specified, the restriction status of the destination container will be the more restrictive of the source container, if present, and destination container restriction statuses. This only applies to stand-alone containers (Plate wells are always set to NOT_APPLICABLE).

Allowed values:
sampleOwnerIdslist of stringsOptional

IDs of users or teams to be set as sample owners for the destination container. If not specified, restricted sample parties from the source container, if present, will be added to those of the destination container. This only applies to stand-alone containers.

sourceBatchIdstringOptional
ID of the batch that will be transferred in. Must specify one of sourceEntityId, sourceBatchId, or sourceContainerId.
sourceContainerIdstringOptional
ID of the container that will be transferred in. Must specify one of sourceEntityId, sourceBatchId, or sourceContainerId.
sourceEntityIdstringOptional
ID of the entity that will be transferred in. Must specify one of sourceEntityId, sourceBatchId, or sourceContainerId.
transferQuantityobjectOptional
This represents the quantity of the source to be transferred into the destination container. Supports mass, volume, and other quantities. Required in place of transferVolume.
transferVolumeobjectOptional

Deprecated - use transferQuantity instead.

Response

OK

Errors

400
Bad Request Error
403
Forbidden Error